# InfiniteIterator::next

(PHP 5 >= 5.1.0, PHP 7)

InfiniteIterator::next — Moves the inner Iterator forward or rewinds it

### Description

public InfiniteIterator::next ( void ) : void

Moves the inner Iterator forward to its next element if there is one, otherwise rewinds the inner Iterator back to the beginning.

> Note:

> Even an InfiniteIterator stops if its inner Iterator is empty.

### Parameters

This function has no parameters.

### Return Values

No value is returned.

### See Also

- InfiniteIterator::__construct() - Constructs an InfiniteIterator